> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete tariff

> Delete a tariff and associated data



## OpenAPI

````yaml delete /v1/tariffs/{id}
openapi: 3.0.0
info:
  title: Tariffs API
  version: 1.0.0
  description: API for managing tariffs and fee calculations
servers: []
security:
  - bearerAuth: []
tags:
  - name: Tariffs
    description: Tariff management operations
  - name: Fee Ranges
    description: Fee range operations
  - name: Fee Calculation
    description: Fee calculation operations
  - name: Dictionaries
    description: Dictionary data operations
paths:
  /v1/tariffs/{id}:
    delete:
      tags:
        - Tariffs
      summary: Delete tariff
      description: Delete a tariff and associated data
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Tariff deleted successfully
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  responses:
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: tariffs.tariff_not_found
            message: Tariff not found
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````